Bug 821358 - [abrt] java-1.7.0-openjdk-1.7.0.3-2.1.fc17.6: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-1.7.0.3-2.1.fc17.6: Process /usr/lib/jvm/java-1.7.0...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
abrt_hash:e7d87c065a5e2bcfe6a933e904f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 04:44 EDT by Sergio Pascual
Modified: 2013-07-31 19:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:30:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (85.60 KB, text/plain)
2012-05-14 04:44 EDT, Sergio Pascual
no flags Details
File: maps (72.43 KB, text/plain)
2012-05-14 04:44 EDT, Sergio Pascual
no flags Details
File: dso_list (28.65 KB, text/plain)
2012-05-14 04:44 EDT, Sergio Pascual
no flags Details
File: open_fds (12.72 KB, text/plain)
2012-05-14 04:44 EDT, Sergio Pascual
no flags Details
hs_err (101.39 KB, text/x-log)
2012-05-29 06:00 EDT, Sergio Pascual
no flags Details
hs_err_pid 30348 (96.01 KB, text/x-log)
2012-05-29 06:01 EDT, Sergio Pascual
no flags Details
hs_err_pid3499.log (100.56 KB, text/x-log)
2012-06-18 07:12 EDT, Sergio Pascual
no flags Details

  None (edit)
Description Sergio Pascual 2012-05-14 04:44:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120308-1358.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.2.0.v20120424-1332/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20120426-1529/eclipse_1503.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120308-1358.jar --launcher.overrideVmargs -exitdata 56000a -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120308-1358.jar
comment:        Opening eclipse
crash_function: pthread_cond_timedwait@@GLIBC_2.3.2
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java
kernel:         3.3.4-5.fc17.x86_64
pid:            19988
pwd:            /home/spr
remote_result:  NOTFOUND
time:           lun 14 may 2012 10:35:50 CEST
uid:            1000
username:       spr
var_log_messages: May 14 10:36:01 halmax abrt[20071]: Saved core dump of pid 19988 (/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java) to /var/spool/abrt/ccpp-2012-05-14-10:35:50-19988 (573042688 bytes)
xsession_errors: 

backtrace:      Text file, 87654 bytes
dso_list:       Text file, 29334 bytes
maps:           Text file, 74172 bytes
open_fds:       Text file, 13025 bytes

build_ids:
:63651cdc0224824a9c9324c77c3b5887378e871d
:4555444390434459edd5379df593b6d7382f86be
:96e355bc4fbe0a9e65b4b0d9001dc03d6549e293
:8568e11bef79abaf14513d18a8559282d8dad34a
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:647c8183274c4626c81e86e7a631a81782a04e65
:127f8958b602715234a02b88adb08afd9e34c203
:b6d75088f555d197be1476cb1c580640826ae029
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:b277af36744327e3d58eae76bcdaadcca71a28c6
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:f4d479614b09460085428bbe7d53df454d0d39e5
:75fb2a202a4ee987f9d1e1cd7f8a605b442a91cf
:259054d7cd2fac1e85dc8a6d1e878f81e3323b56
:7716bc5c1738194dad6ec6679d05ae3782139288
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:2c9b58c35ff18212c9d2fdb22c344b91b788ba73
:508cf66f72e70054a41215f80ed2385c6bb80030
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:84bfc6a27e68d69a43ed2ccbf25aae85f56b6953
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:faca16f15d87b83d2947a386e319b02f724dcbb5
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:87712be648d2d43ea4cd002fe7a859df636f1e13
:2be9035d84fcf32318c7fef8be0375e4107a3393
:253afe744466fe7580bbb6040de6183dba9e2b02
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:c028bd4d4e5f5ae122f2300193d9a08f103da6f7
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:f64b7319b84d426ed547084bdb2577f4f596c18f
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:67792c148d2b8f13f6732c9367e926c26d7376c5
:1a0c09f270adf8398df4362ce0acfafc1f970982
:516204cfc31148538d56b21e2f1b945ed50127d4
:23290a83b84d7e1e2315956d69e946b3022badc8
:841ff7bbe6849fc0d7de266673c87747ac96a430
:c4ec0971b2dcee71aaf8374975474054245fea00
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:65d6febf790953f6049c9aa32c8d3ace76919080
:3d60535f052babb998bae4807bc992c5d15df5c4
:822e9b3523e8312240f41a25722d539bc77ed436
:a806467139f826d772ace7690ea3216fff29422d
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:31315eb0543745bf9bccaa7cf6baefd008d8fa99
:c6697ad88241a5d6c7d4d97588c5944438131a43
:051c1990222c1579f885e9b96e3911613dedb51a
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:9e784cb208842884be10994fc46102b62db8394a
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:6947e315f0765bf884ecc222d91945a1e2ed8767
:731b3801f71de6bd888953161b715e6cbda0ab60
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:4b044fe80e4c1b69986abc4b160c303048005d4e
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:4194f49481485f98de7853b6407338a4393171ac
:8f7c190397d7c1f617e66f18f759714662b60367
:8050203bd18bcd12993f370cafe27753493e76d0
:a29c5131cb6480d1c3228c010bbcc208b559b4c2
:0cd8e835b49bd0377286a43b5284896d5e555067
:39d6383ae4631ad60772f45475b79f81d76e5d58
:f6d72221cbd08cb36bb88823d33deb2024f2bee3
:93612de02cf27c1ac3d3881419e69bfe6fbf6800
:247132297f287226a24c12e683292f5c94013066
:cd78e2295ac5f856c2727dd99f28f02526e6a2b5
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/spr/100

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:cd78e2295ac5f856c2727dd99f28f02526e6a2b5 0x6ce779 - libjvm.so -
:cd78e2295ac5f856c2727dd99f28f02526e6a2b5 0x82556f - libjvm.so -
:cd78e2295ac5f856c2727dd99f28f02526e6a2b5 0x6d5b5f JVM_handle_linux_signal libjvm.so -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=100
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:LC_NUMERIC=C
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/spr/keyring-Cg1KDh
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=spr
:MAIL=/var/spool/mail/spr
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/spr/devel/AndroidSDK:/home/spr/devel/AndroidSDK/tools:/home/spr/devel/AndroidSDK/platform-tools:/home/spr/.local/bin:.
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=18160
:LANG=es_ES.utf8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:GDM_LANG=es_ES.utf8
:LOADEDMODULES=
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoreboth
:XDG_SEAT=seat0
:SHLVL=1
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-BHaSvwnU0L,guid=96e44ab2a0a8903e5402db3b00050a0d
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/spr
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-spr-aKFyXA/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/18164,unix/unix:/tmp/.ICE-unix/18164
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/eclipse.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=19962

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 95940                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       95940                95940                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us
Comment 1 Sergio Pascual 2012-05-14 04:44:37 EDT
Created attachment 584289 [details]
File: backtrace
Comment 2 Sergio Pascual 2012-05-14 04:44:40 EDT
Created attachment 584290 [details]
File: maps
Comment 3 Sergio Pascual 2012-05-14 04:44:42 EDT
Created attachment 584291 [details]
File: dso_list
Comment 4 Sergio Pascual 2012-05-14 04:44:44 EDT
Created attachment 584292 [details]
File: open_fds
Comment 5 Deepak Bhole 2012-05-28 13:40:31 EDT
Hi, can you also attach the hs_err* file please? It should be in the directory you started Eclipse from.
Comment 6 Sergio Pascual 2012-05-29 05:59:05 EDT
I have a bunch of them, I don't know which one of these two belongs to this particular report
Comment 7 Sergio Pascual 2012-05-29 06:00:21 EDT
Created attachment 587371 [details]
hs_err
Comment 8 Sergio Pascual 2012-05-29 06:01:13 EDT
Created attachment 587373 [details]
hs_err_pid 30348
Comment 9 Deepak Bhole 2012-05-29 10:20:49 EDT
Unfortunately those look unrelated to the backtrace. Can you please move all the hs_err files out of the way and try to reproduce this issue and post the resulting hs_err?
Comment 10 Sergio Pascual 2012-06-18 07:10:32 EDT
Hi, I have just had another crash in eclipse, I imagine is the same problem. I attach the hs_err file
Comment 11 Sergio Pascual 2012-06-18 07:12:08 EDT
Created attachment 592597 [details]
hs_err_pid3499.log
Comment 12 Deepak Bhole 2012-06-19 14:56:35 EDT
Looks like a reproducible consistent error in the C2 compiler. 

Adding Andrew Haley to cc: for comments
Comment 13 Fedora End Of Life 2013-07-03 17:57:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-07-31 19:30:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.